# vtkImageRGBToYBR Class Reference

`#include <vtkImageRGBToYBR.h>`

List of all members.

## Public Member Functions
void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeRevisionMacro (vtkImageRGBToYBR, vtkThreadedImageAlgorithm)
## Static Public Member Functions
static vtkImageRGBToYBR * | New ()
## Protected Member Functions
| vtkImageRGBToYBR ()
| ~vtkImageRGBToYBR ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)

## Constructor & Destructor Documentation

vtkImageRGBToYBR::vtkImageRGBToYBR | ( |  | ) | `[protected]`

vtkImageRGBToYBR::~vtkImageRGBToYBR | ( |  | ) | `[inline, protected]`

## Member Function Documentation

static vtkImageRGBToYBR* vtkImageRGBToYBR::New | ( |  | ) | `[static]`

void vtkImageRGBToYBR::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent |
| ) |  |  |

void vtkImageRGBToYBR::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id |
| ) |  |  | `[protected]`

vtkImageRGBToYBR::vtkTypeRevisionMacro | ( | vtkImageRGBToYBR | ,
|  | vtkThreadedImageAlgorithm |  |
| ) |  |  |

The documentation for this class was generated from the following file:

- vtkImageRGBToYBR.h